## org.apache.poi.hslf.record
Class UnknownRecordPlaceholder

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.UnknownRecordPlaceholder

    public final class UnknownRecordPlaceholder

extends RecordAtom

If we come across a record we don't know about, we create one of these. It allows us to keep track of what it contains, so we can write it back out to disk unchanged

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `UnknownRecordPlaceholder(byte[] source, int start, int len)` Create a new holder for a record we don't grok

Method Summary
`long` `getRecordType()` Return the value we were given at creation
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownRecordPlaceholder

    protected UnknownRecordPlaceholder(byte[] source,
                                       int start,
                                       int len)

  Create a new holder for a record we don't grok

Method Detail

### getRecordType

    public long getRecordType()

  Return the value we were given at creation

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.